Lots of script-driven applications, especially paid cms, encode their files so as to make sure that they will not be reverse engineered or tampered with. Many of them use an application known as ionCube PHP Encoder to do this, so when you acquire a paid script and you'd like to install it in a hosting account, a software instrument known as ionCube Loader needs to be present on your server. Without having it, you can't install the script or if you somehow manage to do this, it will not work appropriately since most of the script code will be encoded to a degree where it can't be interpreted. That's why, you need to ensure that ionCube Loader is set up when you get a fresh website hosting account and you want to employ some paid web app. If you acquire a shared website hosting account and the tool is not present, it can't be added since the entire server PHP environment shall have to be compiled again.

IonCube in Cloud Website Hosting

IonCube Loader is installed on all web servers that are a part of our cloud website hosting platform, so irrespective of the Linux cloud website hosting that you choose during the signup process, you will be able to activate it from your Hepsia Control Panel. This process is as simple as clicking an On/Off button in the Advanced section, so even if this will be your first website hosting account ever, you won't have to do anything complicated. The exact same section enables you to select the PHP version for your account (4, 5.2, 5.3, 5.4, 5.5), which means that if you want to switch to another version, you just need to activate ionCube Loader for it as well. Due to the fact that our platform is flexible, you can set a different PHP version and another status of ionCube by using a php.ini file in every domain folder. In case this is something you would like to do but you do not have much experience, our 24/7 support team shall assist you quickly.

IonCube in Semi-dedicated Servers

In case you get a semi-dedicated server package from our company, you'll be able to take advantage of any script-driven app that needs ionCube Loader since the tool is available on all of the servers which are part of our modern cloud hosting platform. We also support different releases of PHP, which means that if you move from PHP 4 to 5.2 or 5.3, for example, you can enable ionCube for this particular release with only a click from your Hepsia Control Panel. Our platform will remember your decision, so in case you move back to the earlier version of PHP, the software instrument will already be active. For more tech-savvy users, we also provide the option to choose the PHP version and whether ionCube will be active or not for a specific domain name without altering the settings for the entire web hosting account. This can be done by placing a php.ini file in a domain folder with a few lines of code.